Skip to main content
PATCH
/
api
/
v2
/
opportunity
/
{opportunity_id}
/
attribute
/
{api_name}
/
{item_id}
Update a sub-resource item (unsupported api_name -> 400)
curl --request PATCH \
  --url https://api.example.com/api/v2/opportunity/{opportunity_id}/attribute/{api_name}/{item_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "is_primary": true
}
'
{
  "status_code": 123,
  "error_type": "<string>",
  "code": "<string>",
  "message": "<string>",
  "details": {}
}

Authorizations

Authorization
string
header
required

Reevo API key passed as Authorization: Bearer <api-key>.

Path Parameters

opportunity_id
string<uuid>
required
api_name
string
required
item_id
string<uuid>
required

Body

application/json
{key}

Response

Successful Response